## forrest 0.5.1-4

=== debian/changelog ===
forrest (0.5.1-4) unstable; urgency=low

  * Updated packaging to build with libraries already available in Debian
    rather than upstream.
  * Removed bundled ant distribution, and added dependency to ant included
    within Debian.

 -- Marcus Crafter <crafterm@debian.org>  Sat, 28 Aug 2004 12:33:23 +0200

forrest (0.5.1-3) unstable; urgency=low

  * Updated packaging to depend on libraries already available in Debian
    (fop).

 -- Marcus Crafter <crafterm@debian.org>  Sat, 28 Aug 2004 12:14:10 +0200

forrest (0.5.1-2) unstable; urgency=low

  * Updated packaging to depend on libraries already available in Debian
    (eg. commons-collections, commons-cli, commons-lang, lucene, regexp, etc)

 -- Marcus Crafter <crafterm@debian.org>  Fri, 20 Aug 2004 12:48:13 +0200

forrest (0.5.1-1) unstable; urgency=low

  * Initial Release.
    (closes: #233298)
  * Note, this package includes several libraries already available in
    Debian. Over time I intend to remove them from this package and reference
    them via package dependencies. This is the first package to get things
    started.

 -- Marcus Crafter <crafterm@debian.org>  Wed, 18 Aug 2004 12:14:05 +0200
