=== debian/control ===
Source: forrest
Section: contrib/devel
Priority: optional
Maintainer: Marcus Crafter <crafterm@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), j2sdk1.3 | java2-compiler,
 xsltproc, ant
Standards-Version: 3.6.1.1

Package: forrest
Architecture: all
Section: contrib/devel
Priority: optional
Depends: j2re1.3 | java2-runtime | java-virtual-machine, libservlet2.3-java, 
 libregexp-java, liblogkit-java, liboro-java, libant1.6-java,
 libcommons-collections-java, libcommons-lang-java, libcommons-cli-java,
 liblucene-java, fop, ${misc:Depends}
Description: XML based documentation framework
 Forrest is an XML standards-oriented documentation framework based on
 Apache Cocoon, providing XSLT stylesheets and schemas, images and other
 resources. Forrest uses these to render the XML source content into a
 website via command-line, robot, or a dynamic web application.
